local_costmap:
  global_frame: odom
  robot_base_frame: base_footprint

  update_frequency: 2.0
  publish_frequency: 2.0
  transform_tolerance: 0.5  
  resolution: 0.1
  static_map: false  
  rolling_window: true
  width: 3
  height: 3
  resolution: 0.05
  
  inflation_layer:
    enabled:              true
    cost_scaling_factor:  0.05  # exponential rate at which the obstacle cost drops off (default: 10)
    inflation_radius:     0.1   # max. distance from an obstacle at which costs are incurred for planning paths. Inc. results in lower costs

  plugins:
    - {name: static_layer,                   type: "costmap_2d::StaticLayer"}
    - {name: obstacle_layer,                 type: "costmap_2d::ObstacleLayer"}
    - {name: inflation_layer,                type: "costmap_2d::InflationLayer"}
